/// <reference types="react" />
import * as React from 'react';
import { ImageStyle, TextStyle, ViewStyle } from 'react-native';
import { ThemeVars } from '../modules/theme/ThemeBuilder';
export declare type Style = ViewStyle | TextStyle | ImageStyle;
export declare type NamedStyles<T> = {
    [P in keyof T]: Style;
};
declare abstract class BaseComponent<P, S> extends React.Component<P, S> {
    static contextTypes: {
        theme: any;
    };
    styles: any;
    theme: ThemeVars;
    constructor(props?: P, context?: any);
    updateTheme(reload: boolean): void;
    abstract loadStyles<T extends NamedStyles<T>>(theme: ThemeVars): T;
    componentDidUpdate(prevProps: P, prevState: S, prevContext: any): void;
}
export default BaseComponent;
