/// <reference types="react" />
import { TextStyle, ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface AlertMessageProps {
    title?: string;
    message?: string;
    icon?: string;
    allowClose?: boolean;
    isLoading?: boolean;
    style?: ViewStyle;
    iconStyle?: TextStyle;
    titleStyle?: TextStyle;
    textStyle?: TextStyle;
    type?: 'default' | 'primary' | 'danger' | 'warning' | 'info' | 'success';
}
export interface State {
    isVisible: boolean;
}
export default class AlertMessage extends BaseComponent<AlertMessageProps, State> {
    state: {
        isVisible: boolean;
    };
    close(): void;
    render(): JSX.Element | null;
    loadStyles(theme: ThemeVars): {
        icon: TextStyle;
        container: ViewStyle;
        containerPrimary: ViewStyle;
        containerDanger: ViewStyle;
        containerWarning: ViewStyle;
        containerInfo: ViewStyle;
        containerSuccess: ViewStyle;
        alert: ViewStyle;
        text: TextStyle;
        textPrimary: TextStyle;
        textDanger: TextStyle;
        textWarning: TextStyle;
        textInfo: TextStyle;
        textSuccess: TextStyle;
        title: TextStyle;
        titlePrimary: TextStyle;
        titleDanger: TextStyle;
        titleWarning: TextStyle;
        titleInfo: TextStyle;
        titleSuccess: TextStyle;
    };
}
