"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var View_1 = require("./View");
var Text_1 = require("./Text");
var Icon_1 = require("./Icon");
var Touchable_1 = require("./Touchable");
var Loading_1 = require("./Loading");
var BaseComponent_1 = require("../BaseComponent");
var AlertMessage = (function (_super) {
    __extends(AlertMessage, _super);
    function AlertMessage() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            isVisible: true
        };
        return _this;
    }
    AlertMessage.prototype.close = function () {
        this.setState({ isVisible: false });
    };
    AlertMessage.prototype.render = function () {
        var _a = this.props, message = _a.message, isLoading = _a.isLoading, icon = _a.icon, allowClose = _a.allowClose, iconStyle = _a.iconStyle, textStyle = _a.textStyle, title = _a.title, titleStyle = _a.titleStyle, type = _a.type, style = _a.style;
        var _b = this, styles = _b.styles, theme = _b.theme;
        var isVisible = this.state.isVisible;
        if (!isVisible) {
            return null;
        }
        var typeContainerStyle = null;
        var typeIconColor = '';
        var typeTitleStyle = null;
        var typeTextStyle = null;
        switch (type) {
            case 'default':
            default:
                typeIconColor = theme.alertMessageDefaultIconColor;
                break;
            case 'primary':
                typeContainerStyle = styles.containerPrimary;
                typeIconColor = theme.alertMessagePrimaryIconColor;
                typeTextStyle = styles.textPrimary;
                typeTitleStyle = styles.titlePrimary;
                break;
            case 'danger':
                typeContainerStyle = styles.containerDanger;
                typeIconColor = theme.alertMessageDangerIconColor;
                typeTextStyle = styles.textDanger;
                typeTitleStyle = styles.titleDanger;
                break;
            case 'warning':
                typeContainerStyle = styles.containerWarning;
                typeIconColor = theme.alertMessageWarningIconColor;
                typeTextStyle = styles.textWarning;
                typeTitleStyle = styles.titleWarning;
                break;
            case 'info':
                typeContainerStyle = styles.containerInfo;
                typeIconColor = theme.alertMessageInfoIconColor;
                typeTextStyle = styles.textInfo;
                typeTitleStyle = styles.titleInfo;
                break;
            case 'success':
                typeContainerStyle = styles.containerSuccess;
                typeIconColor = theme.alertMessageSuccessIconColor;
                typeTextStyle = styles.textSuccess;
                typeTitleStyle = styles.titleSuccess;
                break;
        }
        var sizeIcon = 30;
        return (React.createElement(View_1.default, { style: [styles.container, typeContainerStyle, style] },
            isLoading &&
                React.createElement(Loading_1.default, { style: [styles.icon], color: typeIconColor, size: sizeIcon }),
            icon &&
                !isLoading &&
                React.createElement(Icon_1.default, { style: [styles.icon, { color: typeIconColor }, iconStyle], name: icon, size: sizeIcon }),
            React.createElement(View_1.default, { style: styles.alert },
                title &&
                    React.createElement(Text_1.default, { style: [styles.title, typeTitleStyle, titleStyle] }, title),
                message &&
                    React.createElement(Text_1.default, { style: [styles.text, typeTextStyle, textStyle] }, message)),
            allowClose &&
                React.createElement(Touchable_1.default, { onPress: this.close.bind(this) },
                    React.createElement(Icon_1.default, { style: [styles.icon, { color: typeIconColor }, iconStyle], name: 'close', size: 15 }))));
    };
    AlertMessage.prototype.loadStyles = function (theme) {
        return {
            icon: {
                marginRight: 6
            },
            container: {
                marginTop: 4,
                marginBottom: 4,
                backgroundColor: theme.alertMessageDefaultBackgroundColor,
                borderRadius: 4,
                padding: 10,
                flexDirection: 'row',
                alignItems: 'center'
            },
            containerPrimary: {
                backgroundColor: theme.alertMessagePrimaryBackgroundColor
            },
            containerDanger: {
                backgroundColor: theme.alertMessageDangerBackgroundColor
            },
            containerWarning: {
                backgroundColor: theme.alertMessageWarningBackgroundColor
            },
            containerInfo: {
                backgroundColor: theme.alertMessageInfoBackgroundColor
            },
            containerSuccess: {
                backgroundColor: theme.alertMessageSuccessBackgroundColor
            },
            alert: { flex: 1 },
            text: {
                fontSize: 13,
                color: theme.alertMessageDefaultTextColor
            },
            textPrimary: {
                color: theme.alertMessagePrimaryTextColor
            },
            textDanger: {
                color: theme.alertMessageDangerTextColor
            },
            textWarning: {
                color: theme.alertMessageSuccessTextColor
            },
            textInfo: {
                color: theme.alertMessageSuccessTextColor
            },
            textSuccess: {
                color: theme.alertMessageSuccessTextColor
            },
            title: {
                fontSize: 15,
                color: theme.alertMessageDefaultTitleColor
            },
            titlePrimary: {
                color: theme.alertMessagePrimaryTitleColor
            },
            titleDanger: {
                color: theme.alertMessageDangerTitleColor
            },
            titleWarning: {
                color: theme.alertMessageSuccessTitleColor
            },
            titleInfo: {
                color: theme.alertMessageSuccessTitleColor
            },
            titleSuccess: {
                color: theme.alertMessageSuccessTitleColor
            }
        };
    };
    return AlertMessage;
}(BaseComponent_1.default));
exports.default = AlertMessage;
