/// <reference types="react" />
import { Image, ImageStyle, ViewStyle } from 'react-native';
import { ImageProps } from './Image';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface BlurImageProps extends ImageProps {
    style?: ImageStyle;
}
export interface State {
    viewRef: any;
}
export default class BlurImageAndroid extends BaseComponent<BlurImageProps, State> {
    state: {
        viewRef: null;
    };
    refs: {
        [string: string]: any;
        input: Image;
    };
    private viewRef;
    imageLoaded(): void;
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ImageStyle;
        blurView: ViewStyle;
    };
}
