/// <reference types="react" />
import { TextStyle, ViewStyle } from 'react-native';
import { TouchableProps } from './Touchable';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface ButtonProps extends TouchableProps {
    title?: string;
    isLoading?: boolean;
    icon?: string;
    style?: ViewStyle;
    iconStyle?: TextStyle;
    textStyle?: TextStyle;
    iconPosition?: 'before' | 'after';
    type?: 'default' | 'primary' | 'danger' | 'warning' | 'info' | 'success';
    size?: 'default' | 'small' | 'medium' | 'large';
    onPress: () => void;
}
export interface State {
}
export default class Button extends BaseComponent<ButtonProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        content: ViewStyle;
        container: ViewStyle;
        containerPrimary: ViewStyle;
        containerDanger: ViewStyle;
        containerWarning: ViewStyle;
        containerInfo: ViewStyle;
        containerSuccess: ViewStyle;
        title: TextStyle;
        titlePrimary: TextStyle;
        titleDanger: TextStyle;
        titleWarning: TextStyle;
        titleInfo: TextStyle;
        titleSuccess: TextStyle;
        iconBefore: ViewStyle;
        iconAfter: ViewStyle;
    };
}
