"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Text_1 = require("./Text");
var Loading_1 = require("./Loading");
var Icon_1 = require("./Icon");
var Touchable_1 = require("./Touchable");
var View_1 = require("./View");
var BaseComponent_1 = require("../BaseComponent");
var Button = (function (_super) {
    __extends(Button, _super);
    function Button() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Button.prototype.render = function () {
        var _a = this.props, children = _a.children, type = _a.type, iconStyle = _a.iconStyle, iconPosition = _a.iconPosition, icon = _a.icon, size = _a.size, style = _a.style, isLoading = _a.isLoading, textStyle = _a.textStyle, title = _a.title, props = __rest(_a, ["children", "type", "iconStyle", "iconPosition", "icon", "size", "style", "isLoading", "textStyle", "title"]);
        var _b = this, theme = _b.theme, styles = _b.styles;
        iconPosition = iconPosition || 'before';
        var typeContainerStyle = null;
        var typeIconColor = '';
        var typeTitleStyle = null;
        var sizeContainer = 0;
        var sizeIcon = 0;
        var sizeTitle = 0;
        switch (size) {
            case 'default':
            default:
                sizeContainer = 10;
                sizeIcon = 15;
                sizeTitle = 13;
                break;
            case 'small':
                sizeContainer = 8;
                sizeIcon = 13;
                sizeTitle = 11;
                break;
            case 'medium':
                sizeContainer = 12;
                sizeIcon = 18;
                sizeTitle = 16;
                break;
            case 'large':
                sizeContainer = 15;
                sizeIcon = 22;
                sizeTitle = 20;
                break;
        }
        switch (type) {
            case 'default':
            default:
                typeIconColor = theme.buttonDefaultIconColor;
                break;
            case 'primary':
                typeContainerStyle = styles.containerPrimary;
                typeIconColor = theme.buttonPrimaryIconColor;
                typeTitleStyle = styles.titlePrimary;
                break;
            case 'danger':
                typeContainerStyle = styles.containerDanger;
                typeIconColor = theme.buttonDangerIconColor;
                typeTitleStyle = styles.titleDanger;
                break;
            case 'warning':
                typeContainerStyle = styles.containerWarning;
                typeIconColor = theme.buttonWarningIconColor;
                typeTitleStyle = styles.titleWarning;
                break;
            case 'info':
                typeContainerStyle = styles.containerInfo;
                typeIconColor = theme.buttonInfoIconColor;
                typeTitleStyle = styles.titleInfo;
                break;
            case 'success':
                typeContainerStyle = styles.containerSuccess;
                typeIconColor = theme.buttonSuccessIconColor;
                typeTitleStyle = styles.titleSuccess;
                break;
        }
        return (React.createElement(Touchable_1.default, __assign({ style: [
                styles.container,
                { padding: sizeContainer },
                typeContainerStyle,
                style
            ] }, props),
            React.createElement(View_1.default, { style: styles.content },
                iconPosition === 'before' &&
                    isLoading &&
                    React.createElement(Loading_1.default, { style: [styles.iconBefore], color: typeIconColor, size: sizeIcon }),
                iconPosition === 'before' &&
                    icon &&
                    !isLoading &&
                    React.createElement(Icon_1.default, { style: [styles.iconBefore, { color: typeIconColor }, iconStyle], name: icon, size: sizeIcon }),
                title &&
                    React.createElement(Text_1.default, { style: [
                            styles.title,
                            { fontSize: sizeTitle },
                            typeTitleStyle,
                            textStyle
                        ] }, title),
                iconPosition === 'after' &&
                    isLoading &&
                    React.createElement(Loading_1.default, { style: [styles.iconAfter], color: typeIconColor, size: sizeIcon }),
                iconPosition === 'after' &&
                    icon &&
                    !isLoading &&
                    React.createElement(Icon_1.default, { style: [styles.iconAfter, { color: typeIconColor }, iconStyle], name: icon, size: sizeIcon }))));
    };
    Button.prototype.loadStyles = function (theme) {
        return {
            content: {
                //flex: 1,
                alignItems: 'center',
                flexDirection: 'row',
                justifyContent: 'center'
            },
            container: {
                backgroundColor: theme.buttonDefaultBackgroundColor,
                borderRadius: 4,
                margin: 2,
                alignItems: 'center',
                alignSelf: 'center',
                flexDirection: 'row',
                padding: 10,
                elevation: 1,
                shadowColor: theme.buttonDefaultShadowColor,
                shadowOffset: { height: 1, width: 0 },
                shadowOpacity: 0.2,
                shadowRadius: 4
            },
            containerPrimary: {
                backgroundColor: theme.buttonPrimaryBackgroundColor,
                shadowColor: theme.buttonPrimaryShadowColor
            },
            containerDanger: {
                backgroundColor: theme.buttonDangerBackgroundColor,
                shadowColor: theme.buttonDangerShadowColor
            },
            containerWarning: {
                backgroundColor: theme.buttonWarningBackgroundColor,
                shadowColor: theme.buttonWarningShadowColor
            },
            containerInfo: {
                backgroundColor: theme.buttonInfoBackgroundColor,
                shadowColor: theme.buttonInfoShadowColor
            },
            containerSuccess: {
                backgroundColor: theme.buttonSuccessBackgroundColor,
                shadowColor: theme.buttonSuccessShadowColor
            },
            title: {
                color: theme.buttonDefaultTextColor,
                // fontWeight: '500',
                fontSize: 13
            },
            titlePrimary: {
                color: theme.buttonPrimaryTextColor
            },
            titleDanger: {
                color: theme.buttonDangerTextColor
            },
            titleWarning: {
                color: theme.buttonSuccessTextColor
            },
            titleInfo: {
                color: theme.buttonSuccessTextColor
            },
            titleSuccess: {
                color: theme.buttonSuccessTextColor
            },
            iconBefore: {
                marginRight: 6
            },
            iconAfter: {
                marginLeft: 6
            }
        };
    };
    return Button;
}(BaseComponent_1.default));
exports.default = Button;
