/// <reference types="react" />
import { ViewStyle } from 'react-native';
import { Dimensions } from '../../modules/listener/Screen';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface DrawerProps {
    children?: JSX.Element;
    content: JSX.Element;
    tabletContent?: JSX.Element;
    useTabledMode?: boolean;
    tabledModeMinWidth?: number;
    onOpenStart?: () => void;
    onCloseStart?: () => void;
}
export interface State {
    isOpen: boolean;
    height: number;
    width: number;
}
export default class DrawerAndroid extends BaseComponent<DrawerProps, State> {
    static childContextTypes: {
        theme: any;
        drawer: any;
    };
    state: {
        isOpen: boolean;
        width: number;
        height: number;
    };
    refs: {
        [string: string]: any;
    };
    onDimensionsChangeListener: any;
    getChildContext(): {
        drawer: {
            toggle: any;
            close: any;
            isOpen: any;
        };
    };
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    onDimensionsChange(dimensions: Dimensions): void;
    isOpen(): boolean;
    toggle(): void;
    close(): void;
    open(): void;
    onDrawerClose(): void;
    onDrawerOpen(): void;
    render(): JSX.Element | null;
    loadStyles(theme: ThemeVars): {
        content: ViewStyle;
        drawer: ViewStyle;
    };
}
