/// <reference types="react" />
import { ImageURISource, TextStyle, ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface DrawerHeaderProps extends ViewStyle {
    children?: JSX.Element | JSX.Element[];
    title?: string;
    logo?: ImageURISource;
    style?: ViewStyle;
    logoStyle?: TextStyle;
    titleStyle?: TextStyle;
}
export interface State {
}
export default class DrawerHeader extends BaseComponent<DrawerHeaderProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
        logoIcon: ViewStyle;
        label: TextStyle;
    };
}
