"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var View_1 = require("./View");
var Text_1 = require("./Text");
var Image_1 = require("./Image");
var BaseComponent_1 = require("../BaseComponent");
var DrawerHeader = (function (_super) {
    __extends(DrawerHeader, _super);
    function DrawerHeader() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DrawerHeader.prototype.render = function () {
        var _a = this.props, style = _a.style, children = _a.children, title = _a.title, logo = _a.logo, logoStyle = _a.logoStyle, titleStyle = _a.titleStyle, props = __rest(_a, ["style", "children", "title", "logo", "logoStyle", "titleStyle"]);
        var _b = this, theme = _b.theme, styles = _b.styles;
        return (React.createElement(View_1.default, __assign({ style: [styles.container, style] }, props),
            children,
            logo &&
                React.createElement(Image_1.default, { source: logo, resizeMode: 'contain', style: [styles.logoIcon, logoStyle] }),
            title && React.createElement(Text_1.default, { style: [styles.label, titleStyle] }, title)));
    };
    DrawerHeader.prototype.loadStyles = function (theme) {
        return {
            container: {
                backgroundColor: theme.drawerHeaderBackgroundColor,
                justifyContent: 'center',
                padding: 13,
                paddingLeft: 10,
                paddingRight: 10,
                flexDirection: 'column',
                alignItems: 'center'
            },
            logoIcon: {
                width: 150,
                height: 70,
                alignSelf: 'center'
            },
            label: {
                margin: 10,
                fontSize: 18,
                color: theme.drawerHeaderTextColor
            }
        };
    };
    return DrawerHeader;
}(BaseComponent_1.default));
exports.default = DrawerHeader;
