/// <reference types="react" />
import { TextStyle, ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface DrawerItemProps extends ViewStyle {
    children?: JSX.Element;
    rightView?: JSX.Element;
    name: string;
    isHeader?: boolean;
    isActive?: boolean;
    icon?: string;
    style?: ViewStyle;
    iconStyle?: TextStyle;
    nameStyle?: TextStyle;
    headerStyle?: TextStyle;
    onPress?: () => void;
}
export interface State {
}
export default class DrawerItem extends BaseComponent<DrawerItemProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        headerContainer: {
            padding: number;
            paddingLeft: number;
            paddingTop: number;
            borderBottomWidth: number;
            borderBottomColor: string;
            flexDirection: string;
            alignItems: string;
        };
        headerLabel: {
            paddingLeft: number;
            fontSize: number;
            color: string;
            fontWeight: string;
            alignSelf: string;
        };
        activeContainer: {
            backgroundColor: string;
        };
        activeLabel: {
            color: string;
        };
        activeIcon: {
            color: string;
        };
        container: {
            padding: number;
            paddingLeft: number;
            flexDirection: string;
            alignItems: string;
        };
        label: {
            marginLeft: number;
            fontSize: number;
            flex: number;
            color: string;
            alignSelf: string;
        };
        icon: {
            marginLeft: number;
            color: string;
        };
    };
}
