"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var View_1 = require("./View");
var BaseComponent_1 = require("../BaseComponent");
var PropTypes = require('prop-types');
var DrawerTablet = (function (_super) {
    __extends(DrawerTablet, _super);
    function DrawerTablet() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DrawerTablet.prototype.render = function () {
        var _a = this.props, content = _a.content, leftStyle = _a.leftStyle, children = _a.children, props = __rest(_a, ["content", "leftStyle", "children"]);
        var _b = this, theme = _b.theme, styles = _b.styles;
        return (React.createElement(View_1.default, { ref: 'drawer', style: styles.container },
            React.createElement(View_1.default, { style: [styles.left, leftStyle] }, content),
            React.createElement(View_1.default, { style: styles.right }, children)));
    };
    DrawerTablet.prototype.loadStyles = function (theme) {
        return {
            container: {
                backgroundColor: theme.drawerBackgroundColor,
                flexDirection: 'row',
                flex: 1
            },
            left: {
                backgroundColor: theme.drawerBackgroundColor,
                zIndex: 2,
                elevation: 2,
                shadowColor: theme.drawerShadowColor,
                shadowOpacity: 0.1,
                shadowRadius: 2,
                shadowOffset: {
                    height: 1,
                    width: 2
                }
            },
            right: {
                backgroundColor: theme.drawerContentBackgroundColor,
                flex: 1,
                zIndex: 1
            }
        };
    };
    return DrawerTablet;
}(BaseComponent_1.default));
exports.default = DrawerTablet;
