/// <reference types="react" />
import { TextInput, ViewStyle } from 'react-native';
import { Dimensions } from '../../modules/listener/Screen';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface FilterProps {
    filterMargin?: number;
    placeholder?: string;
    style?: ViewStyle;
    onSubmitEditing?: (text: string) => void;
    onChange: (text: string) => void;
}
export interface State {
    text: string;
    inputWidth: number;
}
export default class Filter extends BaseComponent<FilterProps, State> {
    state: {
        text: string;
        inputWidth: number;
    };
    refs: {
        [string: string]: any;
        input: TextInput;
    };
    private changeListener;
    private onDimensionsChangeListener;
    onChange(text?: string): void;
    setQuery(text: string): void;
    clean(): void;
    onSubmitEditing(event: {
        nativeEvent: {
            text: string;
        };
    }): void;
    focus(): void;
    onDimensionsChange(dimensions: Dimensions): void;
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
        search: ViewStyle;
        searchIcon: ViewStyle;
        fixed: ViewStyle;
        icon: ViewStyle;
        clean: ViewStyle;
        cleanButton: ViewStyle;
        inputContainer: ViewStyle;
        input: ViewStyle;
    };
}
