/// <reference types="react" />
import ListView, { ListViewProps } from './ListView';
import { Dimensions } from '../../modules/listener/Screen';
import { LayoutChangeEvent, ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface FlexibleGridProps extends ListViewProps {
    itemMargin?: number;
    itemWidth: number;
}
export interface State {
    itemWidth: number;
    containerWidth: number;
    containerHeight: number;
}
export interface FlexibleGridItemStyle {
    margin: number;
    width: number;
}
export default class FlexibleGrid extends BaseComponent<FlexibleGridProps, State> {
    state: {
        itemWidth: number;
        containerWidth: number;
        containerHeight: number;
    };
    refs: {
        [string: string]: any;
        list: ListView;
    };
    private onDimensionsChangeListener;
    onDimensionsChange(dimensions: Dimensions): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    renderRow(rowData: any, sectionID: string | number, rowID: string | number, highlightRow?: boolean): JSX.Element;
    refreshView(): void;
    onLayout(event: LayoutChangeEvent): void;
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        list: ViewStyle;
    };
}
