/// <reference types="react" />
import { TextStyle, ViewStyle } from 'react-native';
import { HeaderActionProps } from './HeaderAction';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
import BaseComponent from '../BaseComponent';
export interface HeaderProps {
    left?: HeaderActionProps | JSX.Element;
    right?: HeaderActionProps | JSX.Element;
    children?: JSX.Element;
    maxWidth?: number;
    statusBarBackgroundColor?: string;
    statusBarStyle?: 'default' | 'light-content';
    title: string | JSX.Element;
    actions?: HeaderActionProps[];
}
export interface State {
}
export default class Header extends BaseComponent<HeaderProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        buttonMenu: ViewStyle;
        icon: TextStyle;
        options: ViewStyle;
        right: ViewStyle;
        left: ViewStyle;
        title: TextStyle;
        center: ViewStyle;
        container: ViewStyle;
        content: ViewStyle;
        header: ViewStyle;
    };
}
