/// <reference types="react" />
import { TextInput, TextInputProperties, TextStyle, ViewStyle } from 'react-native';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
import BaseComponent from '../BaseComponent';
export interface InputProps extends TextInputProperties {
    value?: string;
    placeholder?: string;
    defaultValue?: string;
    hasError?: boolean;
    style?: ViewStyle;
    labelStyle?: TextStyle;
    containerStyle?: ViewStyle;
    onChangeText?: (text: string) => void;
    useLabel?: boolean;
}
export interface State {
    value: string;
}
export default class Input extends BaseComponent<InputProps, State> {
    state: {
        value: string;
    };
    refs: {
        [string: string]: any;
        input: TextInput;
    };
    setValue(value: string): void;
    getValue(): string;
    focus(): void;
    onChangeText(text: string): void;
    componentDidMount(): void;
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
        label: TextStyle;
        labelError: TextStyle;
        inputContainer: ViewStyle;
        inputContainerError: ViewStyle;
        input: TextStyle;
        inputError: ViewStyle;
    };
}
