/// <reference types="react" />
import { TextStyle, ViewStyle } from 'react-native';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface LabelProps {
    title?: string;
    hideIcon?: boolean;
    style?: ViewStyle;
    textStyle?: TextStyle;
    type?: 'default' | 'primary' | 'danger' | 'warning' | 'info' | 'success';
    size?: 'default' | 'small' | 'medium' | 'large';
    onPress?: () => void;
}
export interface State {
}
export default class Label extends BaseComponent<LabelProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        content: ViewStyle;
        container: ViewStyle;
        containerPrimary: ViewStyle;
        containerDanger: ViewStyle;
        containerWarning: ViewStyle;
        containerInfo: ViewStyle;
        containerSuccess: ViewStyle;
        title: TextStyle;
        titlePrimary: TextStyle;
        titleDanger: TextStyle;
        titleWarning: TextStyle;
        titleInfo: TextStyle;
        titleSuccess: TextStyle;
        icon: TextStyle;
    };
}
