"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Text_1 = require("./Text");
var Icon_1 = require("./Icon");
var Touchable_1 = require("./Touchable");
var View_1 = require("./View");
var BaseComponent_1 = require("../BaseComponent");
var Label = (function (_super) {
    __extends(Label, _super);
    function Label() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Label.prototype.render = function () {
        var _a = this.props, children = _a.children, type = _a.type, style = _a.style, hideIcon = _a.hideIcon, textStyle = _a.textStyle, size = _a.size, title = _a.title, props = __rest(_a, ["children", "type", "style", "hideIcon", "textStyle", "size", "title"]);
        var _b = this, theme = _b.theme, styles = _b.styles;
        var typeContainerStyle = null;
        var typeIconColor = '';
        var typeTitleStyle = null;
        var sizeContainer = 0;
        var sizeIcon = 0;
        var sizeTitle = 0;
        switch (size) {
            case 'default':
            default:
                sizeContainer = 4;
                sizeIcon = 11;
                sizeTitle = 10;
                break;
            case 'small':
                sizeContainer = 4;
                sizeIcon = 12;
                sizeTitle = 11;
                break;
            case 'medium':
                sizeContainer = 6;
                sizeIcon = 13;
                sizeTitle = 12;
                break;
            case 'large':
                sizeContainer = 8;
                sizeIcon = 14;
                sizeTitle = 13;
                break;
        }
        switch (type) {
            case 'default':
            default:
                typeIconColor = theme.labelDefaultIconColor;
                break;
            case 'primary':
                typeContainerStyle = styles.containerPrimary;
                typeIconColor = theme.labelPrimaryIconColor;
                typeTitleStyle = styles.titlePrimary;
                break;
            case 'danger':
                typeContainerStyle = styles.containerDanger;
                typeIconColor = theme.labelDangerIconColor;
                typeTitleStyle = styles.titleDanger;
                break;
            case 'warning':
                typeContainerStyle = styles.containerWarning;
                typeIconColor = theme.labelWarningIconColor;
                typeTitleStyle = styles.titleWarning;
                break;
            case 'info':
                typeContainerStyle = styles.containerInfo;
                typeIconColor = theme.labelInfoIconColor;
                typeTitleStyle = styles.titleInfo;
                break;
            case 'success':
                typeContainerStyle = styles.containerSuccess;
                typeIconColor = theme.labelSuccessIconColor;
                typeTitleStyle = styles.titleSuccess;
                break;
        }
        return (React.createElement(Touchable_1.default, __assign({ style: [
                styles.container,
                { padding: sizeContainer },
                typeContainerStyle,
                style
            ] }, props),
            React.createElement(View_1.default, { style: styles.content },
                !hideIcon &&
                    React.createElement(Icon_1.default, { style: [styles.icon, { color: typeIconColor }], name: 'label', size: sizeIcon }),
                title &&
                    React.createElement(Text_1.default, { style: [
                            styles.title,
                            { fontSize: sizeTitle },
                            typeTitleStyle,
                            textStyle
                        ] }, title.toUpperCase()))));
    };
    Label.prototype.loadStyles = function (theme) {
        return {
            content: {
                //flex: 1,
                alignItems: 'center',
                flexDirection: 'row',
                justifyContent: 'center'
            },
            container: {
                backgroundColor: theme.labelDefaultBackgroundColor,
                borderRadius: 30,
                margin: 2,
                alignItems: 'center',
                alignSelf: 'center',
                flexDirection: 'row',
                padding: 4,
                paddingLeft: 8,
                paddingRight: 8
            },
            containerPrimary: {
                backgroundColor: theme.labelPrimaryBackgroundColor
            },
            containerDanger: {
                backgroundColor: theme.labelDangerBackgroundColor
            },
            containerWarning: {
                backgroundColor: theme.labelWarningBackgroundColor
            },
            containerInfo: {
                backgroundColor: theme.labelInfoBackgroundColor
            },
            containerSuccess: {
                backgroundColor: theme.labelSuccessBackgroundColor
            },
            title: {
                color: theme.labelDefaultTextColor,
                fontWeight: '500',
                fontSize: 12
            },
            titlePrimary: {
                color: theme.labelPrimaryTextColor
            },
            titleDanger: {
                color: theme.labelDangerTextColor
            },
            titleWarning: {
                color: theme.labelSuccessTextColor
            },
            titleInfo: {
                color: theme.labelSuccessTextColor
            },
            titleSuccess: {
                color: theme.labelSuccessTextColor
            },
            icon: {
                marginRight: 4
            }
        };
    };
    return Label;
}(BaseComponent_1.default));
exports.default = Label;
