/// <reference types="react" />
import { TextStyle, ViewStyle } from 'react-native';
import { TouchableProps } from './Touchable';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface LinkProps extends TouchableProps {
    title?: string;
    isLoading?: boolean;
    icon?: string;
    style?: ViewStyle;
    iconStyle?: TextStyle;
    textStyle?: TextStyle;
    iconPosition?: 'before' | 'after';
    size?: 'default' | 'small' | 'medium' | 'large';
    onPress?: () => void;
}
export interface State {
}
export default class Link extends BaseComponent<LinkProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        content: ViewStyle;
        title: TextStyle;
        iconBefore: ViewStyle;
        iconAfter: ViewStyle;
    };
}
