"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Text_1 = require("./Text");
var Loading_1 = require("./Loading");
var Icon_1 = require("./Icon");
var Touchable_1 = require("./Touchable");
var View_1 = require("./View");
var BaseComponent_1 = require("../BaseComponent");
var Link = (function (_super) {
    __extends(Link, _super);
    function Link() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Link.prototype.render = function () {
        var _a = this.props, children = _a.children, iconPosition = _a.iconPosition, iconStyle = _a.iconStyle, icon = _a.icon, size = _a.size, style = _a.style, isLoading = _a.isLoading, textStyle = _a.textStyle, title = _a.title, props = __rest(_a, ["children", "iconPosition", "iconStyle", "icon", "size", "style", "isLoading", "textStyle", "title"]);
        var _b = this, theme = _b.theme, styles = _b.styles;
        iconPosition = iconPosition || 'before';
        var sizeIcon = 0;
        var sizeTitle = 0;
        switch (size) {
            case 'default':
            default:
                sizeIcon = 15;
                sizeTitle = 13;
                break;
            case 'small':
                sizeIcon = 13;
                sizeTitle = 11;
                break;
            case 'medium':
                sizeIcon = 18;
                sizeTitle = 16;
                break;
            case 'large':
                sizeIcon = 22;
                sizeTitle = 20;
                break;
        }
        var iconColor = theme.linkIconColor;
        return (React.createElement(Touchable_1.default, __assign({ style: [style] }, props),
            React.createElement(View_1.default, { style: styles.content },
                iconPosition === 'before' &&
                    isLoading &&
                    React.createElement(Loading_1.default, { style: styles.iconBefore, color: iconColor, size: sizeIcon }),
                iconPosition === 'before' &&
                    icon &&
                    !isLoading &&
                    React.createElement(Icon_1.default, { style: [styles.iconBefore, { color: iconColor }, iconStyle], name: icon, size: sizeIcon }),
                title &&
                    React.createElement(Text_1.default, { style: [styles.title, { fontSize: sizeTitle }, textStyle] }, title),
                iconPosition === 'after' &&
                    isLoading &&
                    React.createElement(Loading_1.default, { style: styles.iconAfter, color: iconColor, size: sizeIcon }),
                iconPosition === 'after' &&
                    icon &&
                    !isLoading &&
                    React.createElement(Icon_1.default, { style: [styles.iconAfter, { color: iconColor }, iconStyle], name: icon, size: sizeIcon }))));
    };
    Link.prototype.loadStyles = function (theme) {
        return {
            content: {
                alignItems: 'center',
                flexDirection: 'row',
                justifyContent: 'center'
            },
            title: {
                color: theme.linkTextColor,
                fontWeight: '500',
                fontSize: 13
            },
            iconBefore: {
                marginRight: 6
            },
            iconAfter: {
                marginLeft: 6
            }
        };
    };
    return Link;
}(BaseComponent_1.default));
exports.default = Link;
