/// <reference types="react" />
import * as React from 'react';
import { LayoutChangeEvent, ListViewProperties, NativeScrollEvent, NativeSyntheticEvent, ScrollViewStyle, ViewStyle } from 'react-native';
import ScrollView from './ScrollView';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface ListViewProps extends ListViewProperties {
    dataSource: any;
    renderRow: (rowData: any, sectionID: string | number, rowID: string | number, highlightRow?: boolean, extra?: any) => React.ReactElement<any>;
    renderHeader?: () => React.ReactElement<any>;
    renderFooter?: () => React.ReactElement<any>;
    onScroll?: (event?: NativeSyntheticEvent<NativeScrollEvent>) => void;
    contentContainerStyle?: ViewStyle;
    style?: ScrollViewStyle;
    onLayout?: (event: LayoutChangeEvent) => void;
}
export interface State {
}
export interface DataItem {
}
export declare class DataSource {
    data: never[];
    constructor(config: any);
    cloneWithRows(results: any): this;
}
export default class ListViewWeb extends BaseComponent<ListViewProps, State> {
    static DataSource: any;
    refs: {
        [string: string]: any;
        listView: ScrollView;
    };
    refreshView(): void;
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
    };
}
