/// <reference types="react" />
import { ViewStyle } from 'react-native';
import { Message } from './MessageItem';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
import BaseComponent from '../BaseComponent';
export interface MessageCenterProps {
    topOffset?: number;
}
export interface State {
    messages: Message[];
}
export default class MessageCenter extends BaseComponent<MessageCenterProps, State> {
    static counter: number;
    state: {
        messages: never[];
    };
    refs: {
        [string: string]: any;
    };
    show(params: Message): Promise<string>;
    remove(id: string): void;
    onHideItem(id: string): void;
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        content: ViewStyle;
        contentWeb: ViewStyle;
        container: ViewStyle;
    };
}
