/// <reference types="react" />
import { ViewStyle } from 'react-native';
import { ConfirmModal, Modal } from './ModalItem';
import { ActionModal } from './ModalActionItem';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface BaseModal {
    id?: string;
}
export interface ModalCenterProps {
}
export interface State {
    modals: BaseModal[];
}
export default class ModalCenter extends BaseComponent<ModalCenterProps, State> {
    static counter: number;
    state: {
        modals: never[];
    };
    refs: {
        [string: string]: any;
    };
    showAction(params: ActionModal): Promise<string>;
    showConfirm(params: ConfirmModal): Promise<string>;
    showDefault(params: Modal): Promise<string>;
    remove(id: string): void;
    onHideItem(id: string): void;
    render(): JSX.Element | null;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
    };
    private show(params);
}
