/// <reference types="react" />
import { TextStyle, ViewStyle } from 'react-native';
import { ButtonProps } from './Button';
import BaseComponent from '../BaseComponent';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
export interface OptionItemProps extends ButtonProps {
    title: string;
    image?: string;
    icon?: string;
    onPress: () => void;
}
export interface State {
}
export default class OptionItem extends BaseComponent<OptionItemProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        containerAlter: ViewStyle;
        container: ViewStyle;
        icon: ViewStyle;
        image: ViewStyle;
        title: TextStyle;
        button: ViewStyle;
    };
}
