/// <reference types="react" />
import { TextStyle, ViewStyle } from 'react-native';
import { ButtonProps } from './Button';
import { ThemeVars } from '../../modules/theme/ThemeBuilder';
import BaseComponent from '../BaseComponent';
export interface PanelProps {
    title: string | JSX.Element;
    actions?: PanelAction[];
    toolbarHeight?: number;
    children?: JSX.Element | JSX.Element[];
    style?: ViewStyle;
}
export interface PanelAction extends ButtonProps {
    title?: string;
    onPress: () => void;
}
export interface State {
}
export default class Panel extends BaseComponent<PanelProps, State> {
    render(): JSX.Element;
    loadStyles(theme: ThemeVars): {
        container: ViewStyle;
        body: ViewStyle;
        toolbar: ViewStyle;
        options: ViewStyle;
        title: TextStyle;
    };
}
