"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_native_1 = require("react-native");
var Button_1 = require("./Button");
var BaseComponent_1 = require("../BaseComponent");
var Panel = (function (_super) {
    __extends(Panel, _super);
    function Panel() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Panel.prototype.render = function () {
        var _a = this.props, title = _a.title, style = _a.style, children = _a.children, actions = _a.actions, toolbarHeight = _a.toolbarHeight;
        var styles = this.styles;
        var minHeight = toolbarHeight || 50;
        return (React.createElement(react_native_1.View, { style: [styles.container, style] },
            typeof title === 'object' &&
                React.createElement(react_native_1.View, { style: [styles.toolbar, { minHeight: minHeight }] }, title),
            typeof title !== 'object' &&
                React.createElement(react_native_1.View, { style: [styles.toolbar, { minHeight: minHeight }] },
                    React.createElement(react_native_1.Text, { style: [styles.title] }, title),
                    actions &&
                        actions.length > 0 &&
                        React.createElement(react_native_1.View, { style: styles.options }, actions.map(function (item, index) {
                            return React.createElement(Button_1.default, __assign({ key: index }, item));
                        }))),
            React.createElement(react_native_1.View, { style: styles.body }, children)));
    };
    Panel.prototype.loadStyles = function (theme) {
        return {
            container: {
                position: 'relative',
                // backgroundColor: 'red',
                elevation: 2,
                borderRadius: 4,
                shadowRadius: 7,
                shadowColor: theme.panelShadowColor,
                shadowOpacity: 0.3,
                shadowOffset: {
                    width: 0,
                    height: 2
                }
            },
            body: {
                padding: 10
            },
            toolbar: {
                borderTopLeftRadius: 4,
                borderTopRightRadius: 4,
                paddingLeft: 10,
                paddingRight: 5,
                flex: 1,
                flexDirection: 'row',
                backgroundColor: theme.panelBackgroundColor,
                borderBottomWidth: 1,
                borderBottomColor: theme.panelBorderColor,
                alignItems: 'center'
            },
            options: {
                flexDirection: 'row'
            },
            title: {
                fontSize: 16,
                fontWeight: '400',
                flex: 1,
                color: theme.panelTextColor
            }
        };
    };
    return Panel;
}(BaseComponent_1.default));
exports.default = Panel;
