import { ThemeVars } from './ThemeBuilder';
import { ImageStyle, TextStyle, ViewStyle } from 'react-native';
export declare type Style = ViewStyle | TextStyle | ImageStyle;
export declare type NamedStyles<T> = {
    [P in keyof T]: Style;
};
export declare type ThemeCallback<T> = (theme: ThemeVars) => T;
export default class ThemeStyleSheet {
    static create<T extends NamedStyles<T>>(callback: ThemeCallback<T>): T;
}
